<template>
  <div class="echart1_box">
    <div id="echart1"></div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {};
  },
  mounted() {
    this.lineChart();
  },
  //方法集合
  methods: {
    lineChart() {
      let option = {
        title: {
          text: "数据更新量与分布总量",
          textStyle: {
            color: "#fff",
          },
        },
        tooltip: {
          trigger: "axis",
          axisPointer: {
            type: "cross",
            label: {
              backgroundColor: "#FFFFFF",
            },
          },
        },
        legend: {
          data: ["增量", "总量", "Video Ads", "Direct", "Search Engine"],
        },
        toolbox: {
          feature: {
            saveAsImage: {},
          },
        },
        grid: {
          left: "3%",
          right: "4%",
          bottom: "3%",
          containLabel: true,
        },
        xAxis: [
          {
            axisLine: {
              lineStyle: {
                color: "#ccc",
              },
            },
            axisLabel: {
              show: true,
              textStyle: {
                color: "#fff",
              },
            },
            type: "category",
            boundaryGap: false,
            data: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12],
          },
        ],
        yAxis: [
          {
            axisLine: {
              lineStyle: {
                color: "#ccc",
              },
            },
            axisLabel: {
              show: true,
              textStyle: {
                color: "#fff",
              },
            },
            type: "value",
            boundaryGap: false,
          },
        ],
        series: [
          {
            name: "增量",
            type: "line",
            stack: "Total",
            areaStyle: {
              color: "#8F595A",
              opacity: 0.5,
            },
            emphasis: {
              focus: "series",
            },
            data: [200, 300, 100, 500, 2000, 500, 200, 400, 100, 100, 80, 300],
          },

          {
            name: "总量",
            type: "line",
            stack: "Total",
            label: {
              show: true,
              position: "top",
            },
            areaStyle: {
              color: "#02929E",
              opacity: 0.5,
            },
            emphasis: {
              focus: "series",
            },
            data: [
              2048, 2051, 2052, 2057, 2077, 2082, 2084, 2088, 2089, 2090, 2090,
              2093,
            ],
          },
        ],
      };
      let myChart = this.$echarts.init(document.getElementById("echart1"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.echart1_box {
  padding: 20px;
  // background: rgba(0, 0, 0, 0.6);
}
#echart1 {
  width: 100%;
  height: 100%;
}
</style>
